summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Steven Voges2023-09-09 04:40:01 +0200
committer Willy Sudiarto Raharjo2023-09-09 04:40:01 +0200
commitf7d1f2967524aab037b9133eb16e32430fa70463 (patch)
tree33824da449d642bd571ef1ed993e3c139ac0ecc7 /games
parenteee9c70f877d9b3237cc10bf56aa331cf37c6b99 (diff)
downloadslackbuilds-f7d1f2967524aab037b9133eb16e32430fa70463.tar.gz
games/melonds: Added (Nintendo DS Emulator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/melonds/README20
-rw-r--r--games/melonds/doinst.sh9
-rw-r--r--games/melonds/melonds.SlackBuild111
-rw-r--r--games/melonds/melonds.info10
-rw-r--r--games/melonds/slack-desc19
5 files changed, 169 insertions, 0 deletions
diff --git a/games/melonds/README b/games/melonds/README
new file mode 100644
index 0000000000..5624ccf03d
--- /dev/null
+++ b/games/melonds/README
@@ -0,0 +1,20 @@
+melonDS aims at providing fast and accurate Nintendo DS emulation.
+While it is still a work in progress, it has a pretty solid set of
+features:
+
+ * Nearly complete core (CPU, video, audio, ...)
+ * JIT recompiler for fast emulation
+ * OpenGL renderer, 3D upscaling
+ * RTC, microphone, lid close/open
+ * Joystick support
+ * Savestates
+ * Various display position/sizing/rotation modes
+ * (WIP) Wifi: local multiplayer, online connectivity
+ * (WIP) DSi emulation
+ * DLDI
+ * (WIP) GBA slot add-ons
+ * and more are planned!
+
+melonds will build against qt5 by default, if you would prefer to
+build against qt6, please pass QT6=ON to the build script. This
+will introduce a dependency on qt6.
diff --git a/games/melonds/doinst.sh b/games/melonds/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/games/melonds/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/melonds/melonds.SlackBuild b/games/melonds/melonds.SlackBuild
new file mode 100644
index 0000000000..c7ba60fa29
--- /dev/null
+++ b/games/melonds/melonds.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/bash
+
+# Slackware build script for melonds
+
+# Copyright 2023 Steven Voges <Oregon, USA>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=melonds
+SRCNAM=melonDS
+VERSION=${VERSION:-0.9.5}
+QT6=${QT6:-OFF}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -Wno-dev \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DUSE_QT6=$QT6 \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CONTRIBUTING.md LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/melonds/melonds.info b/games/melonds/melonds.info
new file mode 100644
index 0000000000..555f3cb883
--- /dev/null
+++ b/games/melonds/melonds.info
@@ -0,0 +1,10 @@
+PRGNAM="melonds"
+VERSION="0.9.5"
+HOMEPAGE="https://melonds.kuribo64.net"
+DOWNLOAD="https://github.com/melonDS-emu/melonDS/archive/0.9.5/melonDS-0.9.5.tar.gz"
+MD5SUM="23ee3637af072854371675b9e61ab96d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libslirp"
+MAINTAINER="Steven Voges"
+EMAIL="svoges.sbo@gmail.com"
diff --git a/games/melonds/slack-desc b/games/melonds/slack-desc
new file mode 100644
index 0000000000..8d83245dce
--- /dev/null
+++ b/games/melonds/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+melonds: melonds (Nintendo DS Emulator)
+melonds:
+melonds: DS emulator, sorta
+melonds:
+melonds: Homepage: https://melonds.kuribo64.net
+melonds:
+melonds:
+melonds:
+melonds:
+melonds:
+melonds: